Skip to main content
POST
/
v1
/
exchange_price
Price a specific exchange offer
curl --request POST \
  --url https://api.example.com/v1/exchange_price \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "booking_ref": "JNK-A0AUR2",
  "last_name": "Carrard",
  "offer_id": "exch_offer_3c1a9f"
}
'
import requests

url = "https://api.example.com/v1/exchange_price"

payload = {
"booking_ref": "JNK-A0AUR2",
"last_name": "Carrard",
"offer_id": "exch_offer_3c1a9f"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({booking_ref: 'JNK-A0AUR2', last_name: 'Carrard', offer_id: 'exch_offer_3c1a9f'})
};

fetch('https://api.example.com/v1/exchange_price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "payment_outcome": "additional_payment_due",
  "fare_difference": {
    "value": 318.4,
    "amount": 123,
    "currency": "USD",
    "decimal_places": 2
  },
  "penalty_amount": {
    "value": 318.4,
    "amount": 123,
    "currency": "USD",
    "decimal_places": 2
  },
  "total_due": {
    "value": 318.4,
    "amount": 123,
    "currency": "USD",
    "decimal_places": 2
  },
  "total_refund": {
    "value": 318.4,
    "amount": 123,
    "currency": "USD",
    "decimal_places": 2
  },
  "session_reference": "exch_7a1c93f0",
  "expires_at": "2026-06-01T13:04:56Z",
  "warnings": [
    "<string>"
  ]
}
{
"error": {
"code": "BAD_REQUEST",
"message": "Malformed JSON in request body.",
"doc_url": "https://docs.gojinko.com/concepts/errors"
}
}
{
"error": {
"code": "AUTH_REQUIRED",
"message": "Invalid or expired API key.",
"doc_url": "https://docs.gojinko.com/api-reference/authentication"
}
}
{
"error": {
"code": "BAD_REQUEST",
"message": "origins: origins is required; trip_type: trip_type is required",
"doc_url": "https://docs.gojinko.com/concepts/errors"
}
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit or quota exceeded.",
"doc_url": "https://docs.gojinko.com/concepts/errors"
}
}
{
"error": {
"code": "UPSTREAM_ERROR",
"message": "Upstream travel provider returned an error. Please retry.",
"doc_url": "https://docs.gojinko.com/concepts/errors"
}
}
Get the exact fare difference and penalty for a specific exchange option from exchange shop before committing.

Authorizations

X-API-Key
string
header
required

Body

application/json
booking_ref
string
required
Example:

"JNK-A0AUR2"

last_name
string
required
Example:

"Carrard"

offer_id
string
required
ticket_numbers
string[]
provider
string
intent
object

Response

Price a specific exchange offer

payment_outcome
string
Example:

"additional_payment_due"

fare_difference
object
penalty_amount
object
total_due
object
total_refund
object
session_reference
string
Example:

"exch_7a1c93f0"

expires_at
string
Example:

"2026-06-01T13:04:56Z"

warnings
string[]